# Recurrent invoice ref propagation

This module extends the functionality of recurring invoices to support propagating the customer ref when the next draft invoice is auto-generated.

Important

This is an alpha version, the data model and design can change at any time without warning. Only for development or testing purpose, do not use in production. More details on development status

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

To use this module, you need to:

1. Go to Accounting > New Invoice.
2. Set the customer.
3. Set the product.
4. Navigate to Other info tab.
5. Configure recurrence with Auto-post.
6. Set a Customer reference.
7. Press Confirm.
8. A new draft invoice for the next iteration should have been auto-generated.
9. Find that new draft invoice and open it.
10. The Customer reference is the same as it was in the original invoice.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Moduon

### Contributors

- Arantxa Sudón (Moduon)
- Rafael Blasco (Moduon)
- Jairo Llopis (Moduon)

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainers:

This module is part of the OCA/account-invoicing project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.